Skip to main content
PATCH
Update workspace settings

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>

Parâmetros de caminho

workspaceId
string
obrigatório

The workspace ID

Pattern: ^ws_[a-z0-9]+$

Corpo

application/json
name
string

Workspace display name

Required string length: 1 - 255
logo_url
string<uri> | null

URL to workspace logo

industry
enum<string> | null
Opções disponíveis:
retail,
manufacturing,
technology,
healthcare,
finance,
media,
other
company_size
enum<string> | null
Opções disponíveis:
1-10,
11-50,
51-200,
201-500,
500+
allowed_email_domains
string<email>[]

Domains allowed for member invitations

ai_training_opt_out
boolean

Opt out of AI model training

Resposta

Workspace settings updated successfully

id
string
obrigatório

Unique workspace identifier

name
string
obrigatório

Workspace display name

slug
string
obrigatório

URL-friendly workspace slug

owner_id
string
obrigatório

User ID of workspace owner

plan
enum<string>
obrigatório
Opções disponíveis:
standard,
pro,
business,
enterprise
created_at
string<date-time>
obrigatório
updated_at
string<date-time>
obrigatório
logo_url
string<uri> | null
role
enum<string> | null

The calling user's role in this workspace. Populated by GET /api/workspaces; null/absent when the workspace object comes from other endpoints.

Opções disponíveis:
owner,
admin,
editor,
moderator,
analyst,
viewer,
null
industry
enum<string> | null
Opções disponíveis:
retail,
manufacturing,
technology,
healthcare,
finance,
media,
other
company_size
enum<string> | null
Opções disponíveis:
1-10,
11-50,
51-200,
201-500,
500+
allowed_email_domains
string[]

Email domains allowed for member invitations

ai_training_opt_out
boolean

Whether workspace data is excluded from AI training

onboarding_completed
boolean
onboarding_step
integer
Última modificação em 16 de fevereiro de 2026